cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/banner_collections/v2/{banner_collection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"banner_collection_id": "<string>",
"project_id": "<string>",
"banner_collection_update": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"banner_ids": [
"<string>"
],
"is_preview": true,
"source_banner_collection_id": "<string>"
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/banner_collections/v2/{banner_collection_id}"
payload = {
"banner_collection_id": "<string>",
"project_id": "<string>",
"banner_collection_update": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"banner_ids": ["<string>"],
"is_preview": True,
"source_banner_collection_id": "<string>"
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
banner_collection_id: '<string>',
project_id: '<string>',
banner_collection_update: {
id: '<string>',
project_id: '<string>',
name: '<string>',
banner_ids: ['<string>'],
is_preview: true,
source_banner_collection_id: '<string>'
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/banner_collections/v2/{banner_collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"banner_collection": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"banner_ids": [
"<string>"
],
"is_preview": true,
"source_banner_collection_id": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Banners
Update banner collection
UpdateBannerCollection
Updates an existing banner collection.
PATCH
/
cms
/
banner_collections
/
v2
/
{banner_collection_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
BannerCollection represents a collection of banners that can be displayed in a carousel on an end-user facing web/app page.
Show child attributes
Show child attributes
⌘I

